<?php

/*
 * @version		$Id: controller.php 1.6 2011-09-09 $
 * @package		Joomla
 * @subpackage	hdwplayer
 * @copyright   Copyright (C) 2011-2012 HDW Player
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

// Import Joomla! libraries
jimport( 'joomla.application.component.controller' );

class HdwplayerController extends JControllerLegacy {

   function __construct() {
        if(JRequest::getCmd('task') == '') {
            JRequest::setVar('task', 'display');
        }
        $this->item_type = 'Default';
        parent::__construct();
    }
	
	function display($cachable = false, $urlparams = false)
	{
	    $document = JFactory::getDocument();
		$vType	  = $document->getType();
	    $view     = $this->getView('default', $vType);
		
        $model    = $this->getModel('default');
        $view->setModel($model, true);

		$view->setLayout('default');

		$view->display();
	}
	
	function settings()
	{
	    $document = JFactory::getDocument();
		$vType	  = $document->getType();
	    $view     = $this->getView('settings', $vType);
		
        $model    = $this->getModel('settings');
        $view->setModel($model, true);

		$view->setLayout('default');

		$view->display();
	}
	
	function savesettings()
	{
		JRequest::checkToken() or die( 'Invalid Token' );
		
	  	$model = $this->getModel('settings');
	  	$model->save();
	}
	function skin()
	{
	    $document = JFactory::getDocument();
		$vType	  = $document->getType();
	    $view     = $this->getView('skin', $vType);
		
        $model    = $this->getModel('skin');
        $view->setModel($model, true);

		$view->setLayout('default');

		$view->display();
	}
	
	function saveskin()
	{
		JRequest::checkToken() or die( 'Invalid Token' );
	
	  	$model = $this->getModel('skin');
	  	$model->save();
	}
	
	function videos()
	{
	    $document = JFactory::getDocument();
		$vType	  = $document->getType();
	    $view     = $this->getView('videos', $vType);
		
        $model    = $this->getModel('videos');
        $view->setModel($model, true);

		$view->setLayout('default');
		
		$view->display();
	}
	
	function editvideos()
	{
		if(JRequest::checkToken( 'get' )) {
			JRequest::checkToken( 'get' ) or die( 'Invalid Token' );
		} else {
			JRequest::checkToken() or die( 'Invalid Token' );
		}
		
		JRequest::setVar( 'hidemainmenu', 1 );
		
	    $document = JFactory::getDocument();
		$vType	  = $document->getType();
	    $view     = $this->getView('videos', $vType);
		
		$model    = $this->getModel('videos');
        $view->setModel($model, true);
		
		$view->setLayout('edit');
		
		$view->edit();
	}

	function addvideos()
	{
		JRequest::checkToken() or die( 'Invalid Token' );
	
		JRequest::setVar( 'hidemainmenu', 1 );
		
	    $document = JFactory::getDocument();
		$vType	  = $document->getType();
	    $view     = $this->getView('videos', $vType);
		
        $model    = $this->getModel('videos');
        $view->setModel($model, true);

		$view->setLayout('add');
		
		$view->add();
	}
	
	function deletevideos()
	{
		JRequest::checkToken() or die( 'Invalid Token' );
	
		$model = $this->getModel('videos');
	 	$model->delete();
	}
	
	function savevideos()
	{
		if(JRequest::checkToken( 'get' )) {
			JRequest::checkToken( 'get' ) or die( 'Invalid Token' );
		} else {
			JRequest::checkToken() or die( 'Invalid Token' );
		}
		
		$model = $this->getModel('videos');
	  	$model->save();
	}
	
	function applyvideos()
	{
		$this->savevideos();
	}
	
	function cancelvideos()
	{
		JRequest::checkToken() or die( 'Invalid Token' );
	
		$model = $this->getModel('videos');
	    $model->cancel();
	}
	
	function saveorder()
	{
		$model = $this->getModel('videos');
	  	$model->saveorder();		
	}
	
	function orderdown()
	{
		$model = $this->getModel('videos');
	  	$model->move(1);		
	}
	
	function orderup()
	{
		$model = $this->getModel('videos');
	  	$model->move(-1);		
	}
	
	function category()
	{
	    $document = JFactory::getDocument();
		$vType	  = $document->getType();
	    $view     = $this->getView('category', $vType);

        $model    = $this->getModel('category');
        $view->setModel($model, true);

		$view->setLayout('default');

		$view->display();
	}
	
	function editcategory()
	{
		if(JRequest::checkToken( 'get' )) {
			JRequest::checkToken( 'get' ) or die( 'Invalid Token' );
		} else {
			JRequest::checkToken() or die( 'Invalid Token' );
		}
		
		JRequest::setVar( 'hidemainmenu', 1 );
		
	    $document = JFactory::getDocument();
		$vType	  = $document->getType();
	    $view     = $this->getView('category', $vType);
		
        $model    = $this->getModel('category');
        $view->setModel($model, true);
		
		$view->setLayout('edit');
		
		$view->edit();
	}
	
	function addcategory()
	{
		JRequest::checkToken() or die( 'Invalid Token' );
	
		JRequest::setVar( 'hidemainmenu', 1 );
	
	    $document = JFactory::getDocument();
		$vType	  = $document->getType();
	    $view     = $this->getView('category', $vType);
		
		$model    = $this->getModel('category'); 
        $view->setModel($model, true);
		
		$view->setLayout('add');
		
		$view->edit();
	}
	
	function deletecategory()
	{
		JRequest::checkToken() or die( 'Invalid Token' );
	
		$model = $this->getModel('category');
	 	$model->delete();
	}
	
	function savecategory()
	{
		if(JRequest::checkToken( 'get' )) {
			JRequest::checkToken( 'get' ) or die( 'Invalid Token' );
		} else {
			JRequest::checkToken() or die( 'Invalid Token' );
		}
		
		$model = $this->getModel('category');
	  	$model->save();
	}
	
	function applycategory()
	{
		$this->savecategory();
	}
	
	function cancelcategory()
	{
		JRequest::checkToken() or die( 'Invalid Token' );
	
		$model = $this->getModel('category');
	    $model->cancel();
	}
	
	function googleads()
	{
	    $document = JFactory::getDocument();
		$vType	  = $document->getType();
	    $view     = $this->getView('googleads', $vType);
		
        $model    = $this->getModel('googleads');
        $view->setModel($model, true);

		$view->setLayout('default');
		
		$view->display();
	}
	
	function savegoogleads()
	{
		JRequest::checkToken() or die( 'Invalid Token' );
		
		$model = $this->getModel('googleads');
	  	$model->save();
	}
	
	function publish()
    {
		JRequest::checkToken() or die( 'Invalid Token' );
		
		$model = $this->getModel('publish');
        $model->publish(JRequest::getCmd('task'));
    }
	
    function unpublish()
    {
        $this->publish();
    }
	
}

?>